local fn = _gn(0xfc52cb91)
--- Transiently updates the entity with the specified mapdata index and entity index.
-- This function supports SDK infrastructure and is not intended to be used directly from your code.
-- @param mapdata A fwMapData index from GET_MAPDATA_FROM_HASH_KEY.
-- @param entity An entity index from GET_ENTITY_INDEX_FROM_MAPDATA.
-- @param entityDef The new entity definition in fwEntityDef format.
function Global.UpdateMapdataEntity(mapdata, entity, entityDef)
	local entityDef_bytes, entityDef_len = _obj(entityDef)
	return fn(mapdata, entity, entityDef_bytes, entityDef_len)
end
